org.apache.lucene.benchmark.byTask.tasks

## Class RepSumByNameTask

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.tasks.PerfTask
  - - org.apache.lucene.benchmark.byTask.tasks.ReportTask
    - - org.apache.lucene.benchmark.byTask.tasks.RepSumByNameTask

All Implemented Interfaces:
  Cloneable

    public class RepSumByNameTask
    extends ReportTask

Report all statistics aggregated by name.
Other side effects: None.

### Field Summary

### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.ReportTask

`COLS, ELAPSED, newline, OP, RECCNT, RECSEC, ROUND, RUNCNT, TOTMEM, USEDMEM`

### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`logStep, NEW_LINE, params, stopNow`

### Constructor Summary

Constructors
Constructor and Description
`RepSumByNameTask(PerfRunData runData)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
`protected Report` `reportSumByName(List<TaskStats> taskStats)` Report statistics as a string, aggregate for tasks named the same.

### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.ReportTask

`genPartialReport, longestOp, shouldNeverLogAtStart, shouldNotRecordStats, tableTitle, taskReportLine`

### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setParams, setRunInBackground, setup, stopNow, supportsParams, tearDown, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RepSumByNameTask

    public RepSumByNameTask(PerfRunData runData)

### Method Detail

#### doLogic

    public int doLogic()
                throws Exception

Description copied from class: `PerfTask`
Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

Specified by:
  `doLogic` in class `PerfTask`
Returns:
  number of work items done by this task.
Throws:
  `Exception`

#### reportSumByName

    protected Report reportSumByName(List<TaskStats> taskStats)

Report statistics as a string, aggregate for tasks named the same.

Returns:
  the report